Index: trunk/client/modules/Elezioni/rss.php
===================================================================
--- trunk/client/modules/Elezioni/rss.php	(revision 145)
+++ trunk/client/modules/Elezioni/rss.php	(revision 265)
@@ -22,6 +22,9 @@
 $now = $now . $gmtstr;
 // comune
-$res = mysql_query("SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
-	list($descr_com) = mysql_fetch_row($res);
+$sql="SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+$res = $dbi->prepare("$sql");
+$res->execute();
+
+	list($descr_com) = $res->fetch(PDO::FETCH_NUM);
 
 
@@ -86,9 +89,15 @@
 	if ($genere==4){$tab="ele_voti_lista";}
 	if ($votog){$tab="ele_voti_lista";}
-	$res = mysql_query("select *  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ",$dbi);
-	
-	if ($res) $numero=mysql_num_rows($res);else $numero=0;
-	$res = mysql_query("select t2.*  from ".$prefix."_ele_sezioni as t2, ".$prefix."_ele_sede as t1 where t2.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circondt1",$dbi);
-	if ($res) $sezioni=mysql_num_rows($res);else $sezioni=0;
+	$sql="select *  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	
+	if ($res) $numero=$res->rowCount();else $numero=0;
+	$sql="select t2.*  from ".$prefix."_ele_sezioni as t2, ".$prefix."_ele_sede as t1 where t2.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circondt1";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	if ($res) $sezioni=$res->rowCount();else $sezioni=0;
 	
 	if ($numero>0){
@@ -96,8 +105,10 @@
 		// tot voti
 			if (!$circo) 
-				$restotv = mysql_query("select sum(voti)  from ".$prefix."_$tab where id_cons=$id_cons ",  $dbi);
+				$sql="select sum(voti)  from ".$prefix."_$tab where id_cons=$id_cons ";
 			if ($votog) 
-				$restotv = mysql_query("select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons=$id_cons ",  $dbi);	
-			list($tot)  = mysql_fetch_row($restotv);
+				$sql="select sum(voti)  from ".$prefix."_ele_voti_lista where id_cons=$id_cons ";	
+			$restotv = $dbi->prepare("$sql");
+			$restotv->execute();
+			list($tot)  = $restotv->fetch(PDO::FETCH_NUM);
 			
 			$i=0;
@@ -107,5 +118,5 @@
 				if ($votog){
 				
-				$res = mysql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
+				$sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_gruppo as t1,
 				".$prefix."_ele_voti_lista as t2,
@@ -115,25 +126,34 @@
 				and t1.id_gruppo=t3.id_gruppo
 				group by t1.id_gruppo
-				order by somma desc", $dbi);$cosa='id_gruppo';
+				order by somma desc";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				$cosa='id_gruppo';
 				
 				}else{
 				
 			
-			        $res = mysql_query("select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
+			        $sql="select t1.id_gruppo, t1.num_gruppo, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_gruppo as t1
         			left join ".$prefix."_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
 				group by t2.id_gruppo
-				order by somma desc", $dbi);$cosa='id_gruppo';
+				order by somma desc";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				$cosa='id_gruppo';
 			       }
 			
 			
 			}else{
-				$res = mysql_query("select t1.id_lista, t1.num_lista, t1.descrizione, sum(t2.voti) as somma
+				$sql="select t1.id_lista, t1.num_lista, t1.descrizione, sum(t2.voti) as somma
 				from ".$prefix."_ele_lista as t1
         		left join ".$prefix."_$tab as t2 on (t1.id_lista=t2.id_lista)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons
 				group by t2.id_lista
-				order by somma desc", $dbi);$cosa='id_lista';
+				order by somma desc";
+				$res = $dbi->prepare("$sql");
+				$res->execute();
+				$cosa='id_lista';
 			}
 
@@ -142,5 +162,5 @@
 				$gruppinum=mysql_num_rows($res);
 				$altrivoti=0;
-				while (list($id,$num,$descrizione,$voti)  = mysql_fetch_row($res)){
+				while (list($id,$num,$descrizione,$voti)  = $res->fetch(PDO::FETCH_NUM)){
 
 				
